<div class="main-wrap">
	<div class="sub-wrap">
		<div class="login_banner">
			<div class="container">
				<div class="banner_text">
					<h1 class="sickly-yellow">Business LOAN</h1>
					<p class="white">Get Instant Business Loan Upto 75 Lakhs! </p>
				</div>				
			</div>
		</div> 
        <form  [formGroup]="loginFormGroup">
    		<div class="login_section">
    			<div class="container">
                    <div>
                        <mat-tab-group class="login_tab_group white" [disableRipple]="true" [dynamicHeight]="true">
                            <mat-tab  *ngIf="step==1" class="login_tab_item" label="New Customer">
                                <div>
                                    <div class="text-center">
                                        <p class="mobile_info">Please enter your mobile number to start your loan application</p>
                                        <div class="existing-user-form clearfix">
                                            <span>+91</span>
                                            <mat-form-field class="otp-form-field">
                                                <input #mobileNumber onkeypress="return !(event.charCode == 46)" type="number" matInput autocomplete="off"  numberOnly maxlength="10" placeholder="Mobile No.*" formControlName="mobileNumber">
                                                <mat-error *ngIf="loginFormGroup.get('mobileNumber').errors && loginFormGroup.get('mobileNumber').errors.mobile && loginFormGroup.get('mobileNumber').errors.mobile.required">Please enter Mobile no.</mat-error>
                                                <mat-error *ngIf="loginFormGroup.get('mobileNumber').errors && loginFormGroup.get('mobileNumber').errors.mobile && loginFormGroup.get('mobileNumber').errors.mobile.pattern">Please enter valid Mobile no.</mat-error>
                                            </mat-form-field>
                                            <div class="help-tool">
                                                <i class="material-icons">help_outline</i>
                                                <span class="help-tool-txt">
                                                    100% privacy is maintained, We require your mobile number to contact you in case your application gets approved. We do not spam you and we do not share your mobile number with any other party without your consent.
                                                </span>
                                            </div>
                                            <p class="custom-error">{{ otpError }}</p>
                                            <div class="new-user-form-field submit-btn-wrap continue-btn text-center">
                                                <button (click)="getOtp()" class="btn">Send OTP</button> 
                                                <!-- <p class="otp_verify_links resume-link"><a href="#" class="links">Resume Application</a></p> -->
                                            </div>
                                            <app-loader class="mt-10" *ngIf="formSubmitted"></app-loader>	
                                        </div>
                                    </div>
                                </div>
                            </mat-tab>
                            <mat-tab  *ngIf="step==2" label="Verify OTP">
                                <div class="otp_verify_section">
                                    <p class="mobile_info">Please enter the OTP sent to your mobile number xxxxxx{{mobileText}}</p>
                                    <div formGroupName="otp"  class="user-otp-form clearfix">
                                        <input type="number" onkeypress="return !(event.charCode == 46)" #otp class="otp-form-field otp-mat-input" numberOnly maxlength="1" cropZero="false" formControlName="otp1">
                                        <input type="number" onkeypress="return !(event.charCode == 46)" class="otp-form-field otp-mat-input" numberOnly maxlength="1" cropZero="false" formControlName="otp2">
                                        <input type="number" onkeypress="return !(event.charCode == 46)" class="otp-form-field otp-mat-input" numberOnly maxlength="1" cropZero="false" formControlName="otp3">
                                        <input type="number" onkeypress="return !(event.charCode == 46)" class="otp-form-field otp-mat-input" numberOnly maxlength="1" cropZero="false" formControlName="otp4">
                                    </div>
                                    <p class="custom-error" *ngIf="loginFormGroup.get('otp').touched && loginFormGroup.get('otp').errors && loginFormGroup.get('otp').errors.required">OTP is required.</p>

                                    <p class="custom-error">{{ otpError }}</p>

                                    <div class="new-user-form-field submit-btn-wrap text-center">
                                        <button (click)="verifyOtp()" class="btn">Verify OTP</button>
                                    </div>
                                    <app-loader class="mt-10" *ngIf="formSubmitted"></app-loader>
                                    <div class="link-group clearfix">
                                        <p class="otp_verify_links"><a href="javascript:void(0);" (click)="goBack()" class="links">Go back</a></p>
                                        <p class="otp_verify_links resend-link"><a href="javascript:void(0);"  (click)="getOtp()"  class="links">Resend OTP</a></p>
                                    </div>
                                </div>
                            </mat-tab>
                            <mat-tab  *ngIf="step==3" class="login_tab_item" label="Basic Details"> 
                                <div>
                                    <div  class="new-user-form clearfix">		
                                        <div formGroupName="user">
                                            <div class="clearfix">
                                                <mat-form-field class="new-user-form-field">
                                                    <input #city matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" placeholder="City*" formControlName="cityName" type="text" alphaOnly [upperOnly]="true" (focus)="cityShowTooltip()" (blur)="cityHideTooltip()" maxlength="255" matTooltipPosition="above" matTooltipClass="city-tooltip-red" >
                                                    <div *ngIf="showCitySelection" class="auto-select">
                                                        <ul>
                                                            <li *ngFor="let option of cityList" (click)="selectCity(option)">
                                                                {{option.value}}
                                                            </li>
                                                        </ul>
                                                    </div>
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('cityName').touched && loginFormGroup.get('user').get('cityName').errors && loginFormGroup.get('user').get('cityName').errors.required">Please enter the city</mat-error>
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('cityName').touched && loginFormGroup.get('user').get('cityName').errors && loginFormGroup.get('user').get('cityName').errors.city && loginFormGroup.get('user').get('cityName').errors.city.incorrect">{{ showCityServicableMsg }}</mat-error>
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('cityName').errors && loginFormGroup.get('user').get('cityName').errors.city && loginFormGroup.get('user').get('cityName').errors.city.incorrect">City is not serviceable.</mat-error>
                                                    <!-- <mat-error *ngIf="loginFormGroup.get('user').get('cityName').errors && loginFormGroup.get('user').get('cityName').errors.maxlength">Company name can be 120 characters long.</mat-error> -->
                                                </mat-form-field>

                                                <mat-form-field class="new-user-form-field">
                                                    <input [errorStateMatcher]="formSubmittedMatcher" matInput autocomplete="off" spellcheck="false" alphaNumericOnly [maxlength]="10" [upperOnly]="true" placeholder="PAN*" formControlName="panNumber">
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('panNumber').touched && loginFormGroup.get('user').get('panNumber').errors && loginFormGroup.get('user').get('panNumber').errors.pan && loginFormGroup.get('user').get('panNumber').errors.pan.required">Please enter PAN Number</mat-error>
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('panNumber').touched && loginFormGroup.get('user').get('panNumber').errors && loginFormGroup.get('user').get('panNumber').errors.pan && loginFormGroup.get('user').get('panNumber').errors.pan.pattern">Please enter valid PAN Number</mat-error>
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('panNumber').touched && loginFormGroup.get('user').get('panNumber').errors && loginFormGroup.get('user').get('panNumber').errors.pan && loginFormGroup.get('user').get('panNumber').errors.pan.incorrect">Please enter valid PAN number</mat-error>
                                                    <p class="verify-flag" *ngIf="!loginFormGroup.get('user').get('panNumber').errors && loginFormGroup.get('user').get('panMessage').value">{{ loginFormGroup.get('user').get('panMessage').value }}</p>
                                                    <div class="help-tool field-help-tool">
                                                        <i class="material-icons">help_outline</i>
                                                        <span class="help-tool-txt">
                                                            Your PAN details are secure with us. Your personal details are collected by us to cater to your loan requirements and we refrain from sharing it unless you have consented to the same.
                                                        </span>
                                                    </div>
                                                </mat-form-field>

                                                <mat-form-field class="new-user-form-field">
                                                    <mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Segment of Business*" formControlName="segmentOfBusiness" disableOptionCentering>
                                                        <mat-option>Select</mat-option>
                                                        <mat-option *ngFor="let item of constantsService.constants.segmentOfBusiness" [value]="item.key">{{ item.value }}</mat-option>
                                                    </mat-select>
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('segmentOfBusiness').touched && loginFormGroup.get('user').get('segmentOfBusiness').errors && loginFormGroup.get('user').get('segmentOfBusiness').errors.required">Please select Segment of Business</mat-error>
                                                </mat-form-field>

                                            </div>
                                            <div class="clearfix">
                                                <mat-form-field class="new-user-form-field">
                                                    <input [errorStateMatcher]="formSubmittedMatcher" matInput autocomplete="off" indianCurrencyFormatter length="12" fraction="0" placeholder="Required Loan Amount*" formControlName="requiredLoanAmount">
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('requiredLoanAmount').touched && loginFormGroup.get('user').get('requiredLoanAmount').errors && loginFormGroup.get('user').get('requiredLoanAmount').errors.required">Please enter required loan amount</mat-error>
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('requiredLoanAmount').touched && loginFormGroup.get('user').get('requiredLoanAmount').errors && loginFormGroup.get('user').get('requiredLoanAmount').errors.min">Loan amount should be greater than or equal to 2 Lakh.</mat-error>
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('requiredLoanAmount').touched && loginFormGroup.get('user').get('requiredLoanAmount').errors && loginFormGroup.get('user').get('requiredLoanAmount').errors.max">Loan amount should be less than or equal to 75 Lakh.</mat-error>
                                                </mat-form-field>

                                                <mat-form-field class="new-user-form-field">
                                                    <mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Tenure*" formControlName="loanTenure" disableOptionCentering>
                                                        <mat-option>Select</mat-option>
                                                        <mat-option *ngFor="let item of constantsService.constants.loanTenure" [value]="item.key">{{ item.value }}</mat-option>
                                                    </mat-select>
                                                    <mat-error *ngIf="loginFormGroup.get('user').get('loanTenure').touched && loginFormGroup.get('user').get('loanTenure').errors && loginFormGroup.get('user').get('loanTenure').errors.required">Please select Tenure</mat-error>
                                                </mat-form-field>

                                                <div class="daterange-picker">
                                                    <mat-form-field class="new-user-form-field date-label">
                                                        <input matInput [errorStateMatcher]="formSubmittedMatcher" placeholder="Date of Incorporation" [options]="mydateOfIncorporationOption" class="date-input" ngx-mydatepicker formControlName="dateOfIncorporation" #ngxdbp="ngx-mydatepicker" date length="10"/>
                                                        <div class="calendar-btn-group">
                                                            <span (click)="ngxdbp.toggleCalendar()"><i class="material-icons">today</i></span>
                                                        </div>
                                                        <mat-error *ngIf="loginFormGroup.get('user').get('dateOfIncorporation').touched && loginFormGroup.get('user').get('dateOfIncorporation').errors && loginFormGroup.get('user').get('dateOfIncorporation').errors.invalidDateFormat">Please enter valid Date of Incorporation</mat-error>                                                        <div class="help-tool field-help-tool">
                                                            <i class="material-icons">help_outline</i>
                                                            <span class="help-tool-txt">
                                                                Kindly provide the Date of Incorporation as per the Certificate of Incorporation or your Registration Certificate.
                                                            </span>
                                                        </div>
                                                    </mat-form-field>
                                                </div>
                                            </div>

                                            <div class="checkbox-wrapper">
                                                <mat-checkbox formControlName="checkAgreement">
                                                    <div>I have read and agree to the terms of use and hereby appoint Tata Capital as my authorised representative to receive my credit information from Cibil and other services.</div>
                                                </mat-checkbox>
                                                <mat-error *ngIf="loginFormGroup.get('user').get('checkAgreement').touched && loginFormGroup.get('user').get('checkAgreement').errors && loginFormGroup.get('user').get('checkAgreement').errors.required">Please check agreement</mat-error>
                                            </div>
                                            <div class="new-user-form-field submit-btn-wrap continue-btn text-center">
                                                <button type="submit" (click)="submitBasicDetails()"  [class.disabled]="!(loginFormGroup.get('user').valid && loginFormGroup.get('user').get('panMessage').value)" class="btn">Continue</button>
                                                <!-- <p class="otp_verify_links resume-link" (click)="resumeApplication()"><a href="javascript:void(0)" class="links">Resume Application</a></p> -->
                                            </div>
                                        </div>
                                        
                                        <div class="loader-wrap" *ngIf="formSubmitted">
                                            <app-loader class="mt-10"></app-loader>
                                        </div>
                                    </div>
                                </div>
                            </mat-tab>
                        </mat-tab-group>
                        <div class="pl-approval-content clearfix" *ngIf="step==1">
                            <p class="pl-title">Get a Business Loan Approval Instantly</p>
                            <table class="pl-approval-table">
                                <tr>
                                <th>Annual Percentage Rate (Min & Max)</th>
                                <th>Processing Fees</th> 
                                <th>Tenure (Min & Max)</th>
                                </tr>
                                <tr>
                                <td>19%</td>
                                <td>2%</td>
                                <td>12 - 36 months</td>
                                </tr>
                            </table>
                            <div class="pl-example">
                                <p>Here is an example</p>
                                <p>Loan Amount - Rs. 25 Lac, Tenure - 3 Years, Interest Rate 19%, equates to Monthly EMI = 91,640/-</p>
                                <p>Cost of the Loan that you repay = Rs. 32,99,042/-</p>
                            </div>
                            
                        </div>
                    </div>
    			</div>
    		</div>
        </form>
	</div>
</div> 
